import java.applet.Applet;
import java.io.BufferedReader;
import java.io.DataOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.Socket;
import java.net.UnknownHostException;

import javax.swing.JLabel;

public class QueryApplet extends Applet

{
	Socket socket;
	BufferedReader fromServer;
	DataOutputStream toserver;
	String serveradress, m_port, result;
	int port;
	
	
	//Vorbereitungen fr die Ausfhrung des Applets
	public void init()
	{
		//die Parameter fr die Verbindung werden aus der
		//HTML-Datei ausgelesen
		serveradress = getParameter("serveradress");
		m_port = getParameter("m_port");
		port = Integer.parseInt(getParameter("port"));
		//ein Socket zum Server wird erstellt
		//die Streams werden festgelegt
		try {
			
			socket = new Socket(serveradress, port); //"213.240.180.143", 4001);
			fromServer = new BufferedReader(new InputStreamReader(socket.getInputStream()));
			toserver = new DataOutputStream(socket.getOutputStream());
		} catch (UnknownHostException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		}
		
	}
	//start des eigentlichen Applets
	public void start()
	{
		//umwandeln des Strings in ein Byte Array
		byte[] sendbytes = new byte[m_port.length()+4];
		sendbytes =	(m_port+"\r\n").getBytes();
		/*
		 * das byte-array wird an den Server gesendet
		 * der string, den der server liefert wird in result 
		 * gespeichert
		 * anschlieend wir die Verbindung getrennt
		 */
		try {
			toserver.write(sendbytes);
			toserver.flush();
			this.result=fromServer.readLine();
			socket.close();
		} catch (IOException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		}
		//der String vom Server in seine logische Abschnitte 
		//aufgeteilt
		String [] split = this.result.split(";");
		for (int i=0; i < split.length; i++)
		{

			//abfrage fr den eigentlichen messwert
			if (split[i].startsWith("value"))
			{
				this.result=split[i].substring(6);
			}
		}
		//JLabels fr die Anzeige des Messwerts
		this.add(new JLabel("Temperatur:"));
		this.add(new JLabel(this.result+"C"));
			
	}

}
